SDL_GetGamepads(3)

NAME
SDL_GetGamepads - Get a list of currently connected gamepads.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID * SDL_GetGamepads(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of gamepads returned, may be NULL.

RETURN VALUE
( SDL_JoystickID
 *) Returns a 0 terminated array of joystick instance IDs or NULL on failure; call

SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasGamepad(3), •(3), SDL_OpenGamepad(3)